com.gisgraphy

## Class Constants

- java.lang.Object
- - com.gisgraphy.Constants

-     public class Constants
      extends Object

  Constant values used throughout the application.
  Author:
    Matt Raible

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ADMIN_ROLE` The name of the Administrator role, as specified in web.xml
    `static String` | `AVAILABLE_ROLES` The name of the available roles list, a request-scoped attribute when adding/editing a user.
    `static String` | `CONFIG` The name of the configuration hashmap stored in application scope.
    `static String` | `CSS_THEME` The name of the CSS Theme setting.
    `static String` | `ENC_ALGORITHM` The encryption algorithm key to be used for passwords
    `static String` | `ENCRYPT_PASSWORD` A flag to indicate if passwords should be encrypted
    `static String` | `FILE_SEP` File separator from System properties
    `static String` | `PREFERRED_LOCALE_KEY` Session scope attribute that holds the locale set by the user.
    `static String` | `REGISTERED` The request scope attribute for indicating a newly-registered user
    `static String` | `USER_HOME` User home from System properties
    `static String` | `USER_KEY` The request scope attribute under which an editable user form is stored
    `static String` | `USER_LIST` The request scope attribute that holds the user list
    `static String` | `USER_ROLE` The name of the User role, as specified in web.xml
    `static String` | `USER_ROLES` The name of the user's role list, a request-scoped attribute when adding/editing a user.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENC_ALGORITHM

          public static final String ENC_ALGORITHM

      The encryption algorithm key to be used for passwords
      See Also:
        Constant Field Values

    - #### ENCRYPT_PASSWORD

          public static final String ENCRYPT_PASSWORD

      A flag to indicate if passwords should be encrypted
      See Also:
        Constant Field Values

    - #### FILE_SEP

          public static final String FILE_SEP

      File separator from System properties

    - #### USER_HOME

          public static final String USER_HOME

      User home from System properties

    - #### CONFIG

          public static final String CONFIG

      The name of the configuration hashmap stored in application scope.
      See Also:
        Constant Field Values

    - #### PREFERRED_LOCALE_KEY

          public static final String PREFERRED_LOCALE_KEY

      Session scope attribute that holds the locale set by the user. By setting this key to the same one that Struts uses, we get synchronization in Struts w/o having to do extra work or have two session-level variables.
      See Also:
        Constant Field Values

    - #### USER_KEY

          public static final String USER_KEY

      The request scope attribute under which an editable user form is stored
      See Also:
        Constant Field Values

    - #### USER_LIST

          public static final String USER_LIST

      The request scope attribute that holds the user list
      See Also:
        Constant Field Values

    - #### REGISTERED

          public static final String REGISTERED

      The request scope attribute for indicating a newly-registered user
      See Also:
        Constant Field Values

    - #### ADMIN_ROLE

          public static final String ADMIN_ROLE

      The name of the Administrator role, as specified in web.xml
      See Also:
        Constant Field Values

    - #### USER_ROLE

          public static final String USER_ROLE

      The name of the User role, as specified in web.xml
      See Also:
        Constant Field Values

    - #### USER_ROLES

          public static final String USER_ROLES

      The name of the user's role list, a request-scoped attribute when adding/editing a user.
      See Also:
        Constant Field Values

    - #### AVAILABLE_ROLES

          public static final String AVAILABLE_ROLES

      The name of the available roles list, a request-scoped attribute when adding/editing a user.
      See Also:
        Constant Field Values

    - #### CSS_THEME

          public static final String CSS_THEME

      The name of the CSS Theme setting.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright © 2015. All rights reserved.